mia::TPerLevelScalarParam< T > Class Template Reference

`#include <mia/core/paramarray.hh>`

## Public Member Functions

PCmdOption | create_level_params_option (const char *long_name, char short_name, const char *help)
PCmdOption | create_level_params_option (const char *long_name, char short_name, EParameterBounds flags, const std::vector< T > &boundaries, const char *help)
T | operator[] (unsigned l) const
| TPerLevelScalarParam (T default_value)

## Detailed Description

template<typename T>
class mia::TPerLevelScalarParam< T >

Definition at line 32 of file paramarray.hh.

## Constructor & Destructor Documentation

## TPerLevelScalarParam()

template<typename T>

mia::TPerLevelScalarParam< T >::TPerLevelScalarParam | ( | T | default_value | ) |

Definition at line 55 of file paramarray.hh.

## Member Function Documentation

## create_level_params_option() [1/2]

template<typename T>

PCmdOption mia::TPerLevelScalarParam< T >::create_level_params_option | ( | const char * | long_name,
|  | char | short_name,
|  | const char * | help )

Definition at line 73 of file paramarray.hh.

## create_level_params_option() [2/2]

template<typename T>

PCmdOption mia::TPerLevelScalarParam< T >::create_level_params_option | ( | const char * | long_name,
|  | char | short_name,
|  | EParameterBounds | flags,
|  | const std::vector< T > & | boundaries,
|  | const char * | help )

Definition at line 61 of file paramarray.hh.

## operator[]()

template<typename T>

T mia::TPerLevelScalarParam< T >::operator[] | ( | unsigned | l | ) | const

Definition at line 82 of file paramarray.hh.

The documentation for this class was generated from the following file:

- paramarray.hh